Page MenuHomePhabricator

[Tech Debt] Consolidate DonationInterface validation
Closed, ResolvedPublic2 Story Points

Description

Validation is fragile and responsibility is spread out among classes. Take a small clean-up step, with these acceptance criteria:

  • Gateway adapter class has the sole responsibility for defining and running validations.
  • Drop distinctions between error types, e.g. manual and validation errors.
  • Changed code must be completely covered by tests.

Event Timeline

awight created this task.Mar 13 2017, 11:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2017, 11:11 PM

Change 341727 had a related patch set uploaded (by Awight):
[mediawiki/extensions/DonationInterface] Deprecate "manual" errors and shift responsibility for validation into the adapter

https://gerrit.wikimedia.org/r/341727

awight set the point value for this task to 2.
awight updated the task description. (Show Details)
awight created subtask Restricted Task.Mar 13 2017, 11:27 PM

The form is prematurely validating, and T159910 lies in the path of forward progress...

Aww, this work is at risk of going stale. Let's decide if we want the changes, and I'll spend a few days getting it over the bar.

DStrine reassigned this task from awight to Ejegg.Apr 26 2017, 10:31 PM

Change 350462 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Only check for required fields in do_transaction

https://gerrit.wikimedia.org/r/350462

Change 341727 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Deprecate "manual" errors and shift responsibility for validation into the adapter

https://gerrit.wikimedia.org/r/341727

Change 350462 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Only check for required fields in do_transaction

https://gerrit.wikimedia.org/r/350462

Ejegg closed this task as Resolved.May 23 2017, 6:11 PM
Ejegg reassigned this task from Ejegg to awight.
Ejegg triaged this task as Normal priority.
Ejegg added a subscriber: Ejegg.
mmodell removed a subscriber: awight.Jun 22 2017, 9:32 PM